#include "./utils.h"
#include <stdio.h> 

void	ft_closer(int fds[2])
{
	if (fds[0] > 2)
	{
		//dprintf(2, "close(%d)\n", fds[0]);
		close(fds[0]);
	}
	if (fds[1] > 2)
	{
		//dprintf(2, "close(%d)\n", fds[1]);
		close(fds[1]);
	}
}

void	ft_add_fd(int fds[2], int fd)
{
	if (fds[0] == -1)
		fds[0] = fd;
	else
		fds[1] = fd;
}
